USES Asmgraph,MouseKey;

Type FontT = Array[0..4411] Of Byte;
     FontType = ^FontT;

Const Red = -44;
      Green = 0;
      Blue = -39;

Var  Font1 : FontType;
     Faddr:Word;
     Num:Word;

Begin
GetMem(Font1,7*7*90+2); {Get the memory for the font(FontX*FontY*90+2)}
Faddr := Seg(Font1^);   {Get the font segment}
LoadFont('C:\tp\FontMake\FontMake.fnt',Faddr);{load the font in the seg faddr};
SetMode($13);    {Set the 320x200x256 video mode}
PlusCol := Green;  {Set the color of the font to green}
Font(0,0,'THIS A FONT I MADE',Faddr,Vga); {Font at (0,0) from seg faddr to vga}
PlusCol := Blue;   {Set the color of the font to blue}
Font(0,8,'TO SHOW YOU HOW TO',Faddr,Vga); {Font at (0,8) from seg faddr to vga}
PlusCol := Red;    {Set the color of the font to red}
Font(0,16,'LOAD AND SHOW FONTS',Faddr,Vga); {Font at (0,16) from seg faddr to vga}
Pluscol := Green;
Font(0,40,'THERE ARE MANY USEFUL',faddr,Vga);
Font(0,48,'PROCEDURES AND FUNCTIONS',faddr,Vga);
Font(0,56,'IN MY UNIT ASMGRAPH AND MOUSEKEY',faddr,Vga);
Font(0,64,'INCLUDING SPRITE SCALING',faddr,VGA);
Font(0,72,'MOUSE AND KEYBOARD PROCEDURES',Faddr,Vga);
Font(0,80,'AND 2 FILE CHECKING PROCEDURES',Faddr,Vga);
Font(0,96,'IF YOU NEED HELP ABOUT MY UNITS',Faddr,VGA);
Font(0,104,'OR ABOUT FONTMAKE THEN E-MAIL ME',Faddr,Vga);
Font(0,112,'AGRIMARD@TR.CGOCABLE.CA',Faddr,Vga);
WaitKey; {Wait for a keypress}
SetMode($3); {Set the video mode to text}
FreeMem(Font1,7*7*90+2); {Free the font memory}
End.